| CAEN FERS Library v1.1.4 SDK for FERS systems

Data Fields
ServEvent_t Struct Reference
FERS Library Structures » Data

Service Event data structure, common to all FERS module. More...

`#include <FERSlib.h>`

Collaboration diagram for ServEvent_t:

## Data Fields
double | tstamp_us
| Time stamp of service event. More...
uint64_t | update_time
| Update time (epoch, ms) More...
uint16_t | pkt_size
| Event size. More...
uint8_t | version
| Service event version. More...
uint8_t | format
| Event Format. More...
uint32_t | ch_trg_cnt [64]
uint32_t | q_or_cnt
| Q-OR counts value. More...
uint32_t | t_or_cnt
| T-OR counts value. More...
float | tempFPGA
| FPGA core temperature. More...
float | tempBoard
| Board temperature (near uC PIC) More...
float | tempTDC [2]
| Temperature of TDC0 and TDC1. More...
float | tempHV
| High-voltage module temperature. More...
float | tempDetector
| Detector temperature (referred to ?) More...
float | hv_Vmon
| HV voltage monitor. More...
float | hv_Imon
| HV current monitor. More...
uint8_t | hv_status_on
| HV status ON/OFF. More...
uint8_t | hv_status_ramp
| HV ramp status. More...
uint8_t | hv_status_ovv
| HV over-voltage status. More...
uint8_t | hv_status_ovc
| HV over-current status. More...
uint16_t | Status
| Status Register. More...
uint16_t | TDCROStatus
| TDC Readout Status Register. More...
uint64_t | ChAlmFullFlags [2]
| Channel Almost Full flag (from picoTDC) More...
uint32_t | ReadoutFlags
| Readout Flags from picoTDC and FPGA. More...
uint32_t | TotTrg_cnt
| Total triggers counter. More...
uint32_t | RejTrg_cnt
| Rejected triggers counter. More...
uint32_t | SupprTrg_cnt
| Zero suppressed triggers counter. More...

## Detailed Description

Service Event data structure, common to all FERS module.

Definition at line 632 of file FERSlib.h.

## Field Documentation

## ◆ tstamp_us

double tstamp_us

Time stamp of service event.

Definition at line 633 of file FERSlib.h.

## ◆ update_time

uint64_t update_time

Update time (epoch, ms)

Definition at line 634 of file FERSlib.h.

## ◆ pkt_size

uint16_t pkt_size

Event size.

Definition at line 635 of file FERSlib.h.

## ◆ version

uint8_t version

Service event version.

Definition at line 636 of file FERSlib.h.

## ◆ format

uint8_t format

Event Format.

Definition at line 637 of file FERSlib.h.

## ◆ ch_trg_cnt

uint32_t ch_trg_cnt[64]

Definition at line 638 of file FERSlib.h.

## ◆ q_or_cnt

uint32_t q_or_cnt

Q-OR counts value.

Definition at line 639 of file FERSlib.h.

## ◆ t_or_cnt

uint32_t t_or_cnt

T-OR counts value.

Definition at line 640 of file FERSlib.h.

## ◆ tempFPGA

float tempFPGA

FPGA core temperature.

Definition at line 641 of file FERSlib.h.

## ◆ tempBoard

float tempBoard

Board temperature (near uC PIC)

Definition at line 642 of file FERSlib.h.

## ◆ tempTDC

float tempTDC[2]

Temperature of TDC0 and TDC1.

Definition at line 643 of file FERSlib.h.

## ◆ tempHV

float tempHV

High-voltage module temperature.

Definition at line 644 of file FERSlib.h.

## ◆ tempDetector

float tempDetector

Detector temperature (referred to ?)

Definition at line 645 of file FERSlib.h.

## ◆ hv_Vmon

float hv_Vmon

HV voltage monitor.

Definition at line 646 of file FERSlib.h.

## ◆ hv_Imon

float hv_Imon

HV current monitor.

Definition at line 647 of file FERSlib.h.

## ◆ hv_status_on

uint8_t hv_status_on

HV status ON/OFF.

Definition at line 648 of file FERSlib.h.

## ◆ hv_status_ramp

uint8_t hv_status_ramp

HV ramp status.

Definition at line 649 of file FERSlib.h.

## ◆ hv_status_ovv

uint8_t hv_status_ovv

HV over-voltage status.

Definition at line 650 of file FERSlib.h.

## ◆ hv_status_ovc

uint8_t hv_status_ovc

HV over-current status.

Definition at line 651 of file FERSlib.h.

## ◆ Status

uint16_t Status

Status Register.

Definition at line 652 of file FERSlib.h.

## ◆ TDCROStatus

uint16_t TDCROStatus

TDC Readout Status Register.

Definition at line 653 of file FERSlib.h.

## ◆ ChAlmFullFlags

uint64_t ChAlmFullFlags[2]

Channel Almost Full flag (from picoTDC)

Definition at line 654 of file FERSlib.h.

## ◆ ReadoutFlags

uint32_t ReadoutFlags

Readout Flags from picoTDC and FPGA.

Definition at line 655 of file FERSlib.h.

## ◆ TotTrg_cnt

uint32_t TotTrg_cnt

Total triggers counter.

Definition at line 656 of file FERSlib.h.

## ◆ RejTrg_cnt

uint32_t RejTrg_cnt

Rejected triggers counter.

Definition at line 657 of file FERSlib.h.

## ◆ SupprTrg_cnt

uint32_t SupprTrg_cnt

Zero suppressed triggers counter.

Definition at line 658 of file FERSlib.h.

The documentation for this struct was generated from the following file:

- FERSlib.h